//
//  AMHelpPageController.h
//  HelpViewer
//
//  Created by Andreas on 03.04.11.
//  Copyright 2011 Andreas Mayer. All rights reserved.
//


#import <UIKit/UIKit.h>

@class AMHelpViewController;

@interface AMHelpPageController : UIViewController {
	IBOutlet UIWebView *webView;
	AMHelpViewController *helpViewController;
	NSInteger pageNumber;
	NSString *pageTitle;
}

@property (nonatomic, assign) AMHelpViewController *helpViewController;
@property (nonatomic, assign) NSInteger pageNumber;
@property (nonatomic, copy) NSString *pageTitle;

- (id)initWithController:(AMHelpViewController *)controller pageNumber:(NSInteger)page;

- (void)reloadData;


@end
