//
//  HelpViewerAppDelegate.m
//  HelpViewer
//
//  Created by Andreas on 03.04.11.
//

#import "HelpViewerAppDelegate.h"
#import "AMHelpPageController.h"


@implementation HelpViewerAppDelegate

@synthesize window;
@synthesize navController;
@synthesize helpViewController;

- (void)dealloc {
    [helpViewController release];
    [window release];
	[navController release];
    [super dealloc];
}

- (void)applicationDidFinishLaunching:(UIApplication *)application
{
	NSArray *topObjects = [[NSBundle mainBundle] loadNibNamed:@"HelpView" owner:self options:NULL];
	self.helpViewController = [topObjects objectAtIndex:0];
	helpViewController.headerItem.title = @"HelpViewer";

	self.navController = [[UINavigationController alloc] initWithRootViewController:helpViewController];
	[self.navController release];
	
	[window addSubview:navController.view];
	
	[[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleBlackOpaque];
	[navController.navigationBar setBarStyle:UIBarStyleBlackOpaque];
	[UIApplication sharedApplication].statusBarHidden = NO;
	[navController setNavigationBarHidden:NO animated:NO];
	[navController setToolbarHidden:YES animated:NO];

    [window makeKeyAndVisible];
}


@end
